<?xml version='1.0' encoding='utf-8'?>
<root version="20190819">
    <world>
        <background/>
        <walls>
            <wall id="{040de144-7a6f-4afb-aac7-f4be1da696ed}" begin="0:0" stroke-width="5" stroke="#ff000000" end="0:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{0a593dfe-e2e3-4db5-a44a-94ea722cc61d}" begin="1200:200" stroke-width="5" stroke="#ff000000" end="1400:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{1966207d-be96-4c9c-a807-21589d8fc5b0}" begin="400:600" stroke-width="5" stroke="#ff000000" end="400:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{1f62c201-8723-425c-99e0-7fc78d10d47e}" begin="0:1000" stroke-width="5" stroke="#ff000000" end="0:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{2874bbda-b5e5-4260-863d-0147f6292377}" begin="800:0" stroke-width="5" stroke="#ff000000" end="1000:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{40816494-e490-4112-a84b-6827411fc64f}" begin="400:1000" stroke-width="5" stroke="#ff000000" end="200:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{448d7415-a1d6-4449-ab18-6cd8c70fc077}" begin="200:1600" stroke-width="5" stroke="#ff000000" end="200:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{48ede5a9-783a-437c-b6d4-c95cf358937f}" begin="600:800" stroke-width="5" stroke="#ff000000" end="800:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{4eea2523-0262-471e-80a8-c6b7aa153b01}" begin="0:1600" stroke-width="5" stroke="#ff000000" end="350:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{4fd88121-0b81-42f2-9dea-f5f677aa0c69}" begin="0:1200" stroke-width="5" stroke="#ff000000" end="400:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{5666c708-c4f6-47b0-a1bc-d1ea861e7ce6}" begin="1400:800" stroke-width="5" stroke="#ff000000" end="1400:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{56b522a3-5c7c-46e2-bfbc-cd9c2ff7b09e}" begin="1200:0" stroke-width="5" stroke="#ff000000" end="1600:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{58e93446-e01b-4467-ac81-aa74f6100032d}" begin="0:200" stroke-width="5" stroke="#ff000000" end="0:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{6259eff6-f304-44b2-adaa-7a0cb6e9b25f}" begin="1600:1600" stroke-width="5" stroke="#ff000000" end="350:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{66fbb1bc-9b68-4372-b662-0df09cdcfce7}" begin="0:800" stroke-width="5" stroke="#ff000000" end="0:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{676d673a-5c1c-4b3e-94c9-2b52fe9e7af5}" begin="400:1200" stroke-width="5" stroke="#ff000000" end="400:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{69c7c389-2d66-4f30-b457-0b97ce171f1d}" begin="0:400" stroke-width="5" stroke="#ff000000" end="0:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{6c9a8506-c0dc-48bb-97c2-f6b87eb73d07}" begin="1600:0" stroke-width="5" stroke="#ff000000" end="1600:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{72ae5ff8-5f50-414f-8a74-bdf530ed760c}" begin="1200:3200" stroke-width="5" stroke="#ff000000" end="4400:3200" fill="#ff000000" stroke-style="none"/>
            <wall id="{789998a4-66d3-4b75-a0f1-fc374acc6a6f}" begin="200:400" stroke-width="5" stroke="#ff000000" end="200:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{79b5d10f-39c2-4f7c-9fd9-3eb2699b4f44}" begin="600:200" stroke-width="5" stroke="#ff000000" end="600:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{89bde907-f287-4caf-81c2-51a4ac98550f}" begin="600:0" stroke-width="5" stroke="#ff000000" end="800:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{8d7fa5f1-3d4c-42aa-b34f-e90ebfeb39f9}" begin="0:600" stroke-width="5" stroke="#ff000000" end="0:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{8e0cb31e-f24f-41ce-b44a-37951d29d651}" begin="200:0" stroke-width="5" stroke="#ff000000" end="400:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{8ffe3673-06cd-4e38-9504-b5794adea4da}" begin="600:1200" stroke-width="5" stroke="#ff000000" end="800:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{911eb093-1be6-4c8e-9835-8d1ea7606354}" begin="400:1400" stroke-width="5" stroke="#ff000000" end="400:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{92ad181d-f79c-4e2f-a986-1725831389e9}" begin="1200:1000" stroke-width="5" stroke="#ff000000" end="1200:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{9354eb41-4fd1-464b-8153-a84c5ac88581}" begin="600:1000" stroke-width="5" stroke="#ff000000" end="600:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{98dabd18-a080-4e28-b9d1-129721b2c67b}" begin="200:200" stroke-width="5" stroke="#ff000000" end="400:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{9b04c6bb-0e01-4bb4-ae65-7f7aea87c419}" begin="800:1000" stroke-width="5" stroke="#ff000000" end="600:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{9fcd364e-1aa1-4f37-a8db-8ff676f4d383}" begin="1000:200" stroke-width="5" stroke="#ff000000" end="1000:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{aaabe6ec-8c84-4d9e-a005-99b5fb37d153}" begin="0:0" stroke-width="5" stroke="#ff000000" end="200:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{aef47fd5-ed95-41a8-9833-c4b7753c015a}" begin="1600:1000" stroke-width="5" stroke="#ff000000" end="1600:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{b0d27649-3378-4ae5-bac4-f6ae3ed032eb}" begin="800:600" stroke-width="5" stroke="#ff000000" end="800:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{b1d06993-5d15-438d-b18d-00cfc1997553}" begin="400:600" stroke-width="5" stroke="#ff000000" end="0:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{b89afd2f-a716-4d38-8cf6-958a50410c69}" begin="400:800" stroke-width="5" stroke="#ff000000" end="200:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{b991d600-87fa-4147-9b01-d58d46dbf105}" begin="1200:600" stroke-width="5" stroke="#ff000000" end="1400:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{be886d58-9c7f-489c-af71-bb66f834fa78}" begin="600:600" stroke-width="5" stroke="#ff000000" end="600:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{bfd3ecf9-da76-4b8d-9fee-7fe9e8fefa56}" begin="1200:1200" stroke-width="5" stroke="#ff000000" end="1400:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{c8569bfa-2a53-431c-bb1e-b903053013b2}" begin="200:800" stroke-width="5" stroke="#ff000000" end="200:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{d8f2ac0c-c426-4ca9-83fa-72ad0733dbbc}" begin="1000:0" stroke-width="5" stroke="#ff000000" end="1200:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{db8a70ee-85bb-4e3d-8cd2-e0057a1c2502}" begin="800:400" stroke-width="5" stroke="#ff000000" end="800:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{de654a82-30ad-4296-a1ad-40e07030a493}" begin="1600:1000" stroke-width="5" stroke="#ff000000" end="1600:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{df4afcf7-f7d5-4849-9ab9-292575947c79}" begin="400:400" stroke-width="5" stroke="#ff000000" end="200:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{e3ba069f-ad0c-4960-b795-84e15d9027a5}" begin="0:1200" stroke-width="5" stroke="#ff000000" end="0:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{eaff1d13-32a1-4b13-876e-27ce2a780016}" begin="800:1200" stroke-width="5" stroke="#ff000000" end="800:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{ecd84de7-619a-4258-81e9-a1189959fd3f}" begin="400:200" stroke-width="5" stroke="#ff000000" end="400:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{f1aa06fa-6fbc-41bc-83a1-30a9de0a80ac}" begin="600:200" stroke-width="5" stroke="#ff000000" end="1000:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{fbbf6aa2-2e72-43a3-8451-3f44f080826f}" begin="400:0" stroke-width="5" stroke="#ff000000" end="600:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{2a1cbe4d-2c1b-4ffe-afdd-8d8dfe48e1f6}" begin="400:400" stroke-width="5" stroke="#ff000000" end="400:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{aacc2aaa-2009-41e0-8cd2-bcf973148c68}" begin="400:600" stroke-width="5" stroke="#ff000000" end="600:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{757505f5-4b05-4ac0-a3bc-f8161d1b005b}" begin="600:600" stroke-width="5" stroke="#ff000000" end="800:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{cbe919e4-dd53-459e-b01e-dac8df111d46}" begin="600:400" stroke-width="5" stroke="#ff000000" end="800:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{89300936-0dcd-4d6e-b422-ab1b161f19ea}" begin="1000:200" stroke-width="5" stroke="#ff000000" end="1000:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{7e8577fa-f52c-4394-9284-56049ea21ab5}" begin="1200:200" stroke-width="5" stroke="#ff000000" end="1200:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{e8357d3c-fc26-4a33-8ab7-f5b196fdd965}" begin="1000:400" stroke-width="5" stroke="#ff000000" end="1200:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{db7368dd-10fd-441c-8519-19cccb03c611}" begin="1400:200" stroke-width="5" stroke="#ff000000" end="1600:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{a3ff7ebe-58e1-4fd4-ac63-921adbda79fe}" begin="1000:600" stroke-width="5" stroke="#ff000000" end="1200:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{690cecdc-b64b-40aa-9f08-72568630e3b5}" begin="1400:600" stroke-width="5" stroke="#ff000000" end="1600:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{83d2f4ac-fb7d-4696-acb7-4daced23bbb1}" begin="1400:600" stroke-width="5" stroke="#ff000000" end="1400:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{4d4692ca-0957-4cd4-9b88-7379dd187aad}" begin="1000:800" stroke-width="5" stroke="#ff000000" end="1200:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{2145f0e7-d901-4433-9c1e-62a710e7455c}" begin="1000:800" stroke-width="5" stroke="#ff000000" end="1000:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{d47b9cea-4675-4bc0-b2fe-015d95f12244}" begin="1200:1000" stroke-width="5" stroke="#ff000000" end="1200:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{93ab3695-e01c-4b49-b374-48465cd065fa}" begin="1400:1000" stroke-width="5" stroke="#ff000000" end="1400:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{b01ae299-3ef3-41cb-9ca7-4b0005f63d4b}" begin="800:1000" stroke-width="5" stroke="#ff000000" end="1000:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{89f19353-01a9-4973-9b9f-bb9c321e506a}" begin="0:1000" stroke-width="5" stroke="#ff000000" end="200:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{bc0c868d-99fb-4925-a2ee-febcd866f18c}" begin="800:1400" stroke-width="5" stroke="#ff000000" end="600:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{d974e7c5-7102-4a49-bd35-88fc802044c1}" begin="0:1400" stroke-width="5" stroke="#ff000000" end="200:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{a0ff127b-4005-43ac-9007-13296894b41e}" begin="600:1400" stroke-width="5" stroke="#ff000000" end="600:1600" fill="#ff000000" stroke-style="none"/>
        </walls>
        <skittles/>
        <balls/>
        <colorFields/>
        <images/>
        <regions>
            <region type="rectangle" filled="true" x="800" y="400" visible="true" height="200" width="200" textX="0" id="start" color="#0000ff" text="Start" textY="0"/>
            <region type="rectangle" filled="true" x="200" y="400" visible="true" height="200" width="200" textX="0" id="finish" color="#ff0000" text="Finish" textY="0"/>
        </regions>
    </world>
    <robots>
        <robot id="trikKitRobot" direction="0" position="875:475">
            <sensors>
                <sensor direction="0" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A1###input###А1###sensorA1"/>
                <sensor direction="90" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A2###input###А2###sensorA2"/>
                <sensor direction="-90" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A3###input######sensorA3"/>
            </sensors>
            <startPosition id="{f245d3a3-52b2-4c61-b49f-67e389c427f9}" direction="0" x="900" y="500"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
    <settings realisticMotors="false" realisticPhysics="false" realisticSensors="false"/>
    <constraints>
        <timelimit value="48000000"/>
        <constraint failMessage="У робота не должно быть лишних датчиков!" checkOnce="true">
            <conditions glue="and">
                <equals>
                    <typeOf objectId="robot1.D1"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.D2"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
        <constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
            <inside objectId="robot1" regionId="start"/>
        </constraint>

        <event settedUpInitially="true">
            <conditions glue = "and">
                <not>
                    <inside objectId="robot1" regionId="finish"/>
                </not>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
            </conditions>
            <trigger>
                <fail message="Неверный ответ!"/>
            </trigger>
        </event>

        <event settedUpInitially="true">
            <conditions glue = "and">
                <inside objectId="robot1" regionId="finish"/>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
            </conditions>
            <trigger>
                <success/>
            </trigger>
        </event>

    </constraints>
</root>
